MongoDB::listCollections
MongoDB::repair
MongoDB
PHP Manual

# MongoDB::prevError

Checks for the last error thrown during a database operation

### Description

public array MongoDB::prevError ( void )

MongoDB::lastError is usually preferred to this. This method returns the last database error that occurred and how many operations ago it occurred. It is mostly deprecated.

### Parameters

This function has no parameters.

### Return Values

Returns the error and the number of operations ago it occurred.

### Changelog

Version | Description
--- | ---
1.2.11 | Emits `E_DEPRECATED` when used.